# Generated by Django 4.1.5 on 2023-02-06 11:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Locality',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', models.CharField(max_length=36, unique=True, verbose_name='Идентификатор локации')),
                ('name', models.CharField(help_text='name | Название локации | Иерархическая структура таблицы', max_length=256, verbose_name='Название локации (свинокоплекса / участка / сектора / склада)')),
                ('location_type', models.CharField(choices=[('NONE', 'Не определено'), ('STORE', 'Склад'), ('PIG_COMPLEX', 'Свиноводческий комплекс'), ('DISTRICT', 'Участок'), ('SECTOR', 'Сектор')], default='NONE', help_text='location_type | Тип локации', max_length=15, verbose_name='Тип локации')),
                ('period', models.PositiveSmallIntegerField(blank=True, default=None, help_text='period | Период', null=True, verbose_name='Период содержания в секторе')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
            ],
            options={
                'verbose_name': 'Локация',
                'verbose_name_plural': 'Локации',
            },
        ),
        migrations.CreateModel(
            name='Partner',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', models.CharField(max_length=36, unique=True, verbose_name='Идентификатор контрагента/заказчика')),
                ('name', models.CharField(max_length=256, verbose_name='Название контрагента/заказчика')),
                ('inn', models.CharField(blank=True, help_text='inn | ИНН', max_length=64, null=True, verbose_name='ИНН')),
                ('receipt_type', models.CharField(choices=[('NONE', 'Не определено'), ('EXTERNAL', 'Внешнее (стороннее)'), ('INTERNAL', 'Внутреннее')], default='NONE', help_text='receipt_type | Тип поступления', max_length=32, verbose_name='Тип поступления')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
            ],
            options={
                'verbose_name': 'Контрагент/Заказчик',
                'verbose_name_plural': 'Контрагенты/Заказчики',
            },
        ),
        migrations.CreateModel(
            name='LocalityWork',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', models.CharField(max_length=36, unique=True, verbose_name='Идентификатор работы на участке')),
                ('name', models.CharField(max_length=256, verbose_name='Наименование работы на участке')),
                ('description', models.CharField(blank=True, help_text='description | Описание', max_length=1024, null=True, verbose_name='Описание')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('locality', models.ForeignKey(blank=True, help_text='locality | Участок', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='locality_works', to='location.locality', verbose_name='Участок')),
            ],
            options={
                'verbose_name': 'Работа на участке',
                'verbose_name_plural': 'Работы на участке',
            },
        ),
        migrations.AddField(
            model_name='locality',
            name='organization',
            field=models.ForeignKey(blank=True, help_text='organization | Юридическое лицо', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='localities', to='location.partner', verbose_name='Организация'),
        ),
        migrations.AddField(
            model_name='locality',
            name='parent',
            field=models.ForeignKey(blank=True, db_column='parentid', help_text='parent | Участок (родителем может быть только участок)', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='location.locality', verbose_name='Участок'),
        ),
    ]
